#include "ssb-window.h"\

struct _SsbWindow {
    GtkApplicationWindow parent_instance;
};

G_DEFINE_TYPE(SsbWindow, ssb_window, GTK_TYPE_APPLICATION_WINDOW);

SsbWindow *
ssb_window_new(SsbApp *app)
{
    SsbWindow *window = g_object_new(SSB_TYPE_WINDOW, NULL);

    gtk_window_set_application(GTK_WINDOW(window), GTK_APPLICATION(app));
    gtk_window_set_icon_name(GTK_WINDOW(window), "ssb-gtk");

    return window;
}

static void
ssb_window_init(SsbWindow *window)
{
    gtk_widget_init_template(GTK_WIDGET(window));
}

static void
ssb_window_class_init(SsbWindowClass *klass)
{
    GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);

    gtk_widget_class_set_template_from_resource(widget_class, "/eu/polonkai/gergely/SsbGtk/ui/ssb-window.ui");
}
